<bugID>300794<Summary>Middle-click on link does not open new tab in some pages</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Sites like google.com and mozilla.org seem to be working as expected - I have
middle-click on a link opening a new tab in the background. 

However, http://freshmeat.net/ seems to be behaving erratically. If you
middle-click on the title of a new release, or on any of the links in the top of
the page - i.e. the part that looks like:

Thu, Jul 14th 	home | browse | articles | contact | chat | submit | faq |
newsletter | about | stats | scoop 	10:28 PDT

no new tab is opened. Left-clicking on the same link works fine. 

Middle-clicking on the author underneath the project title works fine.

There seems to be a related discussion on this forum seeing the same issue.

Reproducible: Always

Steps to Reproduce:
1. Go to http://freshmeat.net/
2. Middle click on the "browse" link at the top of the page
(this should open a new tab to http://freshmeat.net/browse/)

Actual Results:  
Nothing happens.

Expected Results:  
Browse page should have opened in a new tab.

I do have various extensions on this browser. 

Adblock v.5 d2 * nightly 39
Download Sort 2.5.0
keyconfig 20050313
Nuke Anything 0.2
Disable Targets For Downloads 1.0
miniT (drag) 20050216
Open Java Console 0.7.1
Clone Window 0.2.5
ChromEdit 0.1.1.1
Greasemonkey 0.3.3
Linky 2.6.0
FormFox 1.4

Plugins active 

Helix DNA Plugin: RealPlayer G2 Plug-In Compatible
Java(TM) Plug-in Blackdown-1.4.2-01
Shockwave Flash
This version of Firefox was obtained from getfirefox.com via the Download link
and installed using the firefox-installer.</Description></bugID>